%define _buildid .6

Summary: X.Org X11 libfontenc runtime library
Name: libfontenc
Version: 1.0.5
Release: 2%{?_buildid}%{?dist}
License: MIT
Group: System Environment/Libraries
URL: http://www.x.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

Patch0: libfontenc-1.0.0-get-fontdir-from-pkgconfig.patch

BuildRequires: pkgconfig
BuildRequires: xorg-x11-util-macros
BuildRequires: xorg-x11-proto-devel
BuildRequires: zlib-devel
BuildRequires: xorg-x11-font-utils
# FIXME: temporarily require autoconf for workaround
BuildRequires: autoconf

%description
X.Org X11 libfontenc runtime library

%package devel
Summary: X.Org X11 libfontenc development package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

Obsoletes: XFree86-devel, xorg-x11-devel

%description devel
X.Org X11 libfontenc development package

%prep
%setup -q
%patch0 -p0 -b .get-fontdir-from-pkgconfig

# Disable static library creation by default.
%define with_static 0

%build
# FIXME: libfontenc-0.99.2-use-datadir-for-encodings.patch requires that
# aclocal, automake, and autoconf get invoked to activate the changes.
# These can be removed once the patch is no longer necessary.
#aclocal
#automake
autoconf
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Remove all libtool archives (*.la)
find $RPM_BUILD_ROOT -type f -name '*.la' | xargs rm -f -- || :

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_libdir}/libfontenc.so.1
%{_libdir}/libfontenc.so.1.0.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/X11/fonts/fontenc.h
%if %{with_static}
%{_libdir}/libfontenc.a
%endif
%{_libdir}/libfontenc.so
%{_libdir}/pkgconfig/fontenc.pc

%changelog
* Fri Jul 9 2010 22:18:28 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/libfontenc-1.0.5-2.el6

* Fri May 7 2010 01:53:05 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/libfontenc-1.0.2-2.2.el5

* Fri May 7 2010 00:14:16 UTC Cristian Gafton <gafton@amazon.com>
- added submodule prep for package libfontenc
